public static final class RegionInstanceGroupManagersListErrorsResponse.Builder extends GeneratedMessage.Builder<RegionInstanceGroupManagersListErrorsResponse.Builder> implements RegionInstanceGroupManagersListErrorsResponseOrBuilder Protobuf type google.cloud.compute.v1.RegionInstanceGroupManagersListErrorsResponse
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > RegionInstanceGroupManagersListErrorsResponse.BuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllItems(Iterable<? extends InstanceManagedByIgmError> values)
public RegionInstanceGroupManagersListErrorsResponse.Builder addAllItems(Iterable<? extends InstanceManagedByIgmError> values)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<? extends com.google.cloud.compute.v1.InstanceManagedByIgmError> |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
addItems(InstanceManagedByIgmError value)
public RegionInstanceGroupManagersListErrorsResponse.Builder addItems(InstanceManagedByIgmError value)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
value |
InstanceManagedByIgmError |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
addItems(InstanceManagedByIgmError.Builder builderForValue)
public RegionInstanceGroupManagersListErrorsResponse.Builder addItems(InstanceManagedByIgmError.Builder builderForValue)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
InstanceManagedByIgmError.Builder |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
addItems(int index, InstanceManagedByIgmError value)
public RegionInstanceGroupManagersListErrorsResponse.Builder addItems(int index, InstanceManagedByIgmError value)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
InstanceManagedByIgmError |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
addItems(int index, InstanceManagedByIgmError.Builder builderForValue)
public RegionInstanceGroupManagersListErrorsResponse.Builder addItems(int index, InstanceManagedByIgmError.Builder builderForValue)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
InstanceManagedByIgmError.Builder |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
addItemsBuilder()
public InstanceManagedByIgmError.Builder addItemsBuilder()[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmError.Builder |
|
addItemsBuilder(int index)
public InstanceManagedByIgmError.Builder addItemsBuilder(int index)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmError.Builder |
|
build()
public RegionInstanceGroupManagersListErrorsResponse build()| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse |
|
buildPartial()
public RegionInstanceGroupManagersListErrorsResponse buildPartial()| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse |
|
clear()
public RegionInstanceGroupManagersListErrorsResponse.Builder clear()| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
clearItems()
public RegionInstanceGroupManagersListErrorsResponse.Builder clearItems()[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
clearNextPageToken()
public RegionInstanceGroupManagersListErrorsResponse.Builder clearNextPageToken()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public RegionInstanceGroupManagersListErrorsResponse getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getItems(int index)
public InstanceManagedByIgmError getItems(int index)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmError |
|
getItemsBuilder(int index)
public InstanceManagedByIgmError.Builder getItemsBuilder(int index)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmError.Builder |
|
getItemsBuilderList()
public List<InstanceManagedByIgmError.Builder> getItemsBuilderList()[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<Builder> |
|
getItemsCount()
public int getItemsCount()[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsList()
public List<InstanceManagedByIgmError> getItemsList()[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<InstanceManagedByIgmError> |
|
getItemsOrBuilder(int index)
public InstanceManagedByIgmErrorOrBuilder getItemsOrBuilder(int index)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
InstanceManagedByIgmErrorOrBuilder |
|
getItemsOrBuilderList()
public List<? extends InstanceManagedByIgmErrorOrBuilder> getItemsOrBuilderList()[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.InstanceManagedByIgmErrorOrBuilder> |
|
getNextPageToken()
public String getNextPageToken()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public ByteString getNextPageTokenBytes()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
hasNextPageToken()
public boolean hasNextPageToken()Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(RegionInstanceGroupManagersListErrorsResponse other)
public RegionInstanceGroupManagersListErrorsResponse.Builder mergeFrom(RegionInstanceGroupManagersListErrorsResponse other)| Parameter | |
|---|---|
| Name | Description |
other |
RegionInstanceGroupManagersListErrorsResponse |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public RegionInstanceGroupManagersListErrorsResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public RegionInstanceGroupManagersListErrorsResponse.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
removeItems(int index)
public RegionInstanceGroupManagersListErrorsResponse.Builder removeItems(int index)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
setItems(int index, InstanceManagedByIgmError value)
public RegionInstanceGroupManagersListErrorsResponse.Builder setItems(int index, InstanceManagedByIgmError value)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
InstanceManagedByIgmError |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
setItems(int index, InstanceManagedByIgmError.Builder builderForValue)
public RegionInstanceGroupManagersListErrorsResponse.Builder setItems(int index, InstanceManagedByIgmError.Builder builderForValue)[Output Only] The list of errors of the managed instance group.
repeated .google.cloud.compute.v1.InstanceManagedByIgmError items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
InstanceManagedByIgmError.Builder |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
|
setNextPageToken(String value)
public RegionInstanceGroupManagersListErrorsResponse.Builder setNextPageToken(String value)Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe nextPageToken to set. |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
This builder for chaining. |
setNextPageTokenBytes(ByteString value)
public RegionInstanceGroupManagersListErrorsResponse.Builder setNextPageTokenBytes(ByteString value)Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for nextPageToken to set. |
| Returns | |
|---|---|
| Type | Description |
RegionInstanceGroupManagersListErrorsResponse.Builder |
This builder for chaining. |